<?php
/**
* Header Options.
*
* @package Agriculture Farm Lite
*/

$agriculture_farm_lite_default = agriculture_farm_lite_get_default_theme_options();

// Header Section.
$wp_customize->add_section( 'agriculture_farm_lite_button_header_setting',
	array(
	'title'      => esc_html__( 'Header Settings', 'agriculture-farm-lite' ),
	'priority'   => 10,
	'capability' => 'edit_theme_options',
	'panel'      => 'agriculture_farm_lite_theme_option_panel',
	)
);

$wp_customize->add_setting('agriculture_farm_lite_sticky',
    array(
        'default' => $agriculture_farm_lite_default['agriculture_farm_lite_sticky'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'agriculture_farm_lite_sanitize_checkbox',
    )
);
$wp_customize->add_control('agriculture_farm_lite_sticky',
    array(
        'label' => esc_html__('Enable Sticky Header', 'agriculture-farm-lite'),
        'section' => 'agriculture_farm_lite_button_header_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('agriculture_farm_lite_menu_font_size',
    array(
        'default'           => $agriculture_farm_lite_default['agriculture_farm_lite_menu_font_size'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'agriculture_farm_lite_sanitize_number_range',
    )
);
$wp_customize->add_control('agriculture_farm_lite_menu_font_size',
    array(
        'label'       => esc_html__('Menu Font Size', 'agriculture-farm-lite'),
        'section'     => 'agriculture_farm_lite_button_header_setting',
        'type'        => 'number',
        'input_attrs' => array(
           'min'   => 1,
           'max'   => 30,
           'step'   => 1,
        ),
    )
);

$wp_customize->add_setting( 'agriculture_farm_lite_menu_text_transform',
    array(
    'default'           => $agriculture_farm_lite_default['agriculture_farm_lite_menu_text_transform'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'agriculture_farm_lite_sanitize_menu_transform',
    )
);
$wp_customize->add_control( 'agriculture_farm_lite_menu_text_transform',
    array(
    'label'       => esc_html__( 'Menu Text Transform', 'agriculture-farm-lite' ),
    'section'     => 'agriculture_farm_lite_button_header_setting',
    'type'        => 'select',
    'choices'     => array(
        'capitalize' => esc_html__( 'Capitalize', 'agriculture-farm-lite' ),
        'uppercase'  => esc_html__( 'Uppercase', 'agriculture-farm-lite' ),
        'lowercase'    => esc_html__( 'Lowercase', 'agriculture-farm-lite' ),
        ),
    )
);

$wp_customize->add_setting('agriculture_farm_lite_header_menus_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'agriculture_farm_lite_header_menus_color', array(
    'label'    => __('Main Menu Color', 'agriculture-farm-lite'),
    'section'  => 'agriculture_farm_lite_button_header_setting',
)));

$wp_customize->add_setting('agriculture_farm_lite_header_menus_hover_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'agriculture_farm_lite_header_menus_hover_color', array(
    'label'    => __('Main Menu Hover Color', 'agriculture-farm-lite'),
    'section'  => 'agriculture_farm_lite_button_header_setting',
)));

$wp_customize->add_setting('agriculture_farm_lite_header_submenus_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'agriculture_farm_lite_header_submenus_color', array(
    'label'    => __('Submenu Color', 'agriculture-farm-lite'),
    'section'  => 'agriculture_farm_lite_button_header_setting',
)));

$wp_customize->add_setting('agriculture_farm_lite_header_submenus_hover_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'agriculture_farm_lite_header_submenus_hover_color', array(
    'label'    => __('Submenu Hover Color', 'agriculture-farm-lite'),
    'section'  => 'agriculture_farm_lite_button_header_setting',
)));


$wp_customize->add_setting( 'agriculture_farm_lite_header_email_id',
    array(
    'default'           => $agriculture_farm_lite_default['agriculture_farm_lite_header_email_id'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'agriculture_farm_lite_header_email_id',
    array(
    'label'    => esc_html__( 'Header Email Id', 'agriculture-farm-lite' ),
    'section'  => 'agriculture_farm_lite_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'agriculture_farm_lite_header_phone_number',
    array(
    'default'           => $agriculture_farm_lite_default['agriculture_farm_lite_header_phone_number'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'agriculture_farm_lite_header_phone_number',
    array(
    'label'    => esc_html__( 'Header Phone Number', 'agriculture-farm-lite' ),
    'section'  => 'agriculture_farm_lite_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'agriculture_farm_lite_header_address',
    array(
    'default'           => $agriculture_farm_lite_default['agriculture_farm_lite_header_address'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'agriculture_farm_lite_header_address',
    array(
    'label'    => esc_html__( 'Header Address', 'agriculture-farm-lite' ),
    'section'  => 'agriculture_farm_lite_button_header_setting',
    'type'     => 'text',
    )
);